(function($, Drupal) {

    'use strict';
  
    Drupal.behaviors.mybehavior = {
      attach: function(context, settings) {
          var parent_wrapper = drupalSettings.inpage_parent_wrappper;
          var wrapper_classes = drupalSettings.tag_wrapper;
          var card_tag_wrapper = drupalSettings.card_tag_wrapper;
          var tag = drupalSettings.tag;
          $("#backtotop").click(function () {
               $("html, body").animate({scrollTop: 0}, 1000);
          });
      var listItems = [];
      var simpleH2 = [];
      const headings = document.querySelector(parent_wrapper).querySelectorAll(tag);
      for (var i = 0; i<headings.length; i++){
          if(!headings[i].closest(wrapper_classes) || headings[i].classList.contains(card_tag_wrapper)){
             
              simpleH2.push(headings[i])
          }
      }
      
      if (simpleH2.length){
          for (var i = 0; i<simpleH2.length; i++){
              //change h2 title to string with dashes(-).
              var newId = simpleH2[i].innerHTML.replace(/\s+/g, '-').replace(/[^\w\s]/gi, '').replace(/<\/?strong>/g, "").replace("&nbsp>", "").replace("?", ""  ).toLowerCase();;
              simpleH2[i].setAttribute('id', newId)
              var heading = simpleH2[i].innerHTML;
              
              var html = '<li class="in-page-nav__list-item"><a href="#' + newId + '" class="in-page-nav__link">' + heading + '</a></li>';
              
              listItems.push(html);
          }
          
          var pageContents = '<div class="inpage-container"><nav class="in-page-nav" aria-labelledby="in-page-nav"><h2 id="in-page-nav" class="in-page-nav__title">On this page</h2><ul class="in-page-nav__list">' + listItems.join('') + '</ul></nav></div>';
              
          document.getElementById('inpage-contents').innerHTML = pageContents;
      }
      
      
    $(".in-page-nav__link").on('click', function(e) {
      e.preventDefault();
      var target = $(this).attr('href');
      $('html, body').animate({
        scrollTop: ($(target).offset().top)
      }, 1000);
    });
      }
    }
  
  })(jQuery, Drupal);